OpenNMS API 1.2.9

## org.opennms.report.availability
Class Created

    java.lang.Object
      org.opennms.report.availability.Created

All Implemented Interfaces:
  java.io.Serializable

public class Created
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private long` `_content` internal content storage
`private int` `_day`
`private boolean` `_has_content` keeps track of state for field: _content
`private boolean` `_has_day` keeps track of state for field: _day
`private boolean` `_has_hour` keeps track of state for field: _hour
`private boolean` `_has_min` keeps track of state for field: _min
`private boolean` `_has_sec` keeps track of state for field: _sec
`private boolean` `_has_year` keeps track of state for field: _year
`private int` `_hour`
`private int` `_min`
`private java.lang.String` `_month`
`private java.lang.String` `_period`
`private int` `_sec`
`private int` `_year`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Created()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `deleteContent()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`long` `getContent()` Returns the value of field 'content'.
`int` `getDay()` Returns the value of field 'day'.
`int` `getHour()` Returns the value of field 'hour'.
`int` `getMin()` Returns the value of field 'min'.
`java.lang.String` `getMonth()` Returns the value of field 'month'.
`java.lang.String` `getPeriod()` Returns the value of field 'period'.
`int` `getSec()` Returns the value of field 'sec'.
`int` `getYear()` Returns the value of field 'year'.
`boolean` `hasContent()`
`boolean` `hasDay()`
`boolean` `hasHour()`
`boolean` `hasMin()`
`boolean` `hasSec()`
`boolean` `hasYear()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setContent(long content)` Sets the value of field 'content'.
`void` `setDay(int day)` Sets the value of field 'day'.
`void` `setHour(int hour)` Sets the value of field 'hour'.
`void` `setMin(int min)` Sets the value of field 'min'.
`void` `setMonth(java.lang.String month)` Sets the value of field 'month'.
`void` `setPeriod(java.lang.String period)` Sets the value of field 'period'.
`void` `setSec(int sec)` Sets the value of field 'sec'.
`void` `setYear(int year)` Sets the value of field 'year'.
`static Created` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _content

    private long _content

  internal content storage

### _has_content

    private boolean _has_content

  keeps track of state for field: _content

### _year

    private int _year

### _has_year

    private boolean _has_year

  keeps track of state for field: _year

### _month

    private java.lang.String _month

### _day

    private int _day

### _has_day

    private boolean _has_day

  keeps track of state for field: _day

### _hour

    private int _hour

### _has_hour

    private boolean _has_hour

  keeps track of state for field: _hour

### _min

    private int _min

### _has_min

    private boolean _has_min

  keeps track of state for field: _min

### _sec

    private int _sec

### _has_sec

    private boolean _has_sec

  keeps track of state for field: _sec

### _period

    private java.lang.String _period

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Created

    public Created()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### deleteContent

    public void deleteContent()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getContent

    public long getContent()

  Returns the value of field 'content'. The field 'content' has the following description: internal content storage

  Returns:
    the value of field 'content'.

### getDay

    public int getDay()

  Returns the value of field 'day'.

  Returns:
    the value of field 'day'.

### getHour

    public int getHour()

  Returns the value of field 'hour'.

  Returns:
    the value of field 'hour'.

### getMin

    public int getMin()

  Returns the value of field 'min'.

  Returns:
    the value of field 'min'.

### getMonth

    public java.lang.String getMonth()

  Returns the value of field 'month'.

  Returns:
    the value of field 'month'.

### getPeriod

    public java.lang.String getPeriod()

  Returns the value of field 'period'.

  Returns:
    the value of field 'period'.

### getSec

    public int getSec()

  Returns the value of field 'sec'.

  Returns:
    the value of field 'sec'.

### getYear

    public int getYear()

  Returns the value of field 'year'.

  Returns:
    the value of field 'year'.

### hasContent

    public boolean hasContent()

### hasDay

    public boolean hasDay()

### hasHour

    public boolean hasHour()

### hasMin

    public boolean hasMin()

### hasSec

    public boolean hasSec()

### hasYear

    public boolean hasYear()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setContent

    public void setContent(long content)

  Sets the value of field 'content'. The field 'content' has the following description: internal content storage

  Parameters:
    `content` - the value of field 'content'.

### setDay

    public void setDay(int day)

  Sets the value of field 'day'.

  Parameters:
    `day` - the value of field 'day'.

### setHour

    public void setHour(int hour)

  Sets the value of field 'hour'.

  Parameters:
    `hour` - the value of field 'hour'.

### setMin

    public void setMin(int min)

  Sets the value of field 'min'.

  Parameters:
    `min` - the value of field 'min'.

### setMonth

    public void setMonth(java.lang.String month)

  Sets the value of field 'month'.

  Parameters:
    `month` - the value of field 'month'.

### setPeriod

    public void setPeriod(java.lang.String period)

  Sets the value of field 'period'.

  Parameters:
    `period` - the value of field 'period'.

### setSec

    public void setSec(int sec)

  Sets the value of field 'sec'.

  Parameters:
    `sec` - the value of field 'sec'.

### setYear

    public void setYear(int year)

  Sets the value of field 'year'.

  Parameters:
    `year` - the value of field 'year'.

### unmarshal

    public static Created unmarshal(java.io.Reader reader)
                             throws org.exolab.castor.xml.MarshalException,
                                    org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.